Bug 595286 - Upgrade JON 2.2 to JON 2.4 gives error in server log - ORA-00942: table or view does not exist
Summary: Upgrade JON 2.2 to JON 2.4 gives error in server log - ORA-00942: table or vi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core Server
Version: 3.0.0
Hardware: All
OS: Linux
urgent
medium vote
Target Milestone: ---
: ---
Assignee: Jay Shaughnessy
QA Contact: Rajan Timaniya
URL:
Whiteboard:
Depends On: 596096
Blocks: rhq_triage jon-sprint10-bugs
TreeView+ depends on / blocked
 
Reported: 2010-05-24 09:51 UTC by Rajan Timaniya
Modified: 2010-08-12 16:55 UTC (History)
0 users

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:55:14 UTC


Attachments (Terms of Use)
server log (247.45 KB, text/x-log)
2010-05-24 09:51 UTC, Rajan Timaniya
no flags Details

Description Rajan Timaniya 2010-05-24 09:51:22 UTC
Created attachment 416069 [details]
server log

Description of problem:
Upgrade JON 2.2 to JON 2.4 (JON build #160) with Oracle 10g gives exception (ORA-00942: table or view does not exist) in server log file.

2010-05-24 14:41:48,998 INFO  [org.rhq.enterprise.server.system.SystemManagerBean] Confirmed that the installer has been undeployed
2010-05-24 14:41:49,148 WARN  [org.hibernate.util.JDBCExceptionReporter] SQL Error: 942, SQLState: 42000
2010-05-24 14:41:49,148 ERROR [org.hibernate.util.JDBCExceptionReporter] ORA-00942: table or view does not exist
2010-05-24 14:41:49,148 INFO  [org.hibernate.event.def.DefaultLoadEventListener] Error performing load command
org.hibernate.exception.SQLGrammarException: could not load an entity: [org.rhq.core.domain.auth.Subject#1]

2010-05-24 14:41:49,163 ERROR [org.rhq.enterprise.server.alert.engine.internal.AlertConditionCacheCoordinator] Error loading global condition cache
javax.ejb.EJBTransactionRolledbackException: org.hibernate.exception.SQLGrammarException: could not load an entity: [org.rhq.core.domain.auth.Subject#1]

2010-05-24 14:41:53,375 ERROR [org.rhq.enterprise.server.core.plugin.PluginDeploymentScanner] Scan failed. Cause: java.sql.SQLException:ORA-00904: "DEPLOYMENT": invalid identifier
[SQLException=ORA-00904: "DEPLOYMENT": invalid identifier

2010-05-24 14:41:53,596 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[localhost].[/jboss-remoting-servlet-invoker].[ServerInvokerServlet]] Servlet.service() for servlet ServerInvokerServlet threw exception
java.lang.reflect.UndeclaredThrowableException

2010-05-24 14:41:54,453 ERROR [org.rhq.enterprise.server.plugin.pc.MasterServerPluginContainer] Failed to shutdown server plugin container for plugin type [Content Plugin]
java.lang.NullPointerException

2010-05-24 14:41:54,495 ERROR [org.rhq.enterprise.server.plugin.pc.MasterServerPluginContainer] Failed to initialize master plugin container! Server side plugins will not start.
javax.ejb.EJBTransactionRolledbackException: org.hibernate.exception.SQLGrammarException: could not execute query


Version-Release number of selected component (if applicable):
JON build #160 - Revision:  10620
http://hudson-qe.rhq.rdu.redhat.com:8080/job/jon/160/

How reproducible:
Always

Steps to Reproduce:
1) Install JON 2.2 with Oracle 10g
2) Install one more JON 2.2 server with same database  (High Availability)
3) Install/configure 3 rhq-agests
4) Perform operations on JON 2.2
 (i) Create alerts for platform, JBoss AS4, RHQ Agent, Compatible group (alert
condition is Free Memory > 0.1 OR Total Memory < 999999)
 (ii) Create groups (Mix, Compatible, Group defination)
 (iii)Content repository syncronization (for JBoss Patch)
 (iv) Create Roles and Users
 (v) Change INVENTORY -> CONNECTION of JBoss AS4 
 (vi)Change configuration values of 'RHQ Agent' and create 'History'
 (vii)Perform LDAP settings
 (viii)Create 'SCHEDULES' for 'View Process List' on platform
5) Upgrade JON 2.2 to JON 2.4 (JON build #160) - Complete installation process
6) Check server log for any database error/exception
  
Actual results:
Upgrade JON 2.2 to JON 2.4 with Oracle 10g gives error/exception
(ORA-00942: table or view does not exist) in server log file.

Expected results:
Upgrade JON 2.2 to JON 2.4 should upgrade with all its data without any error/exception.

Additional info:
Please refer attached server log.

Comment 1 Charles Crouch 2010-05-24 16:27:29 UTC
Rajan
We need to determine two things:
1) Whether this only occurs on Oracle, or also PG
2) Whether this only occurs upgrading from 2.2 to 2.4, or also going from 2.3 to 2.4

Comment 2 Rajan Timaniya 2010-05-25 13:02:20 UTC
1) Upgrade JON2.2 to JON2.4 with Postgres 8.3
   The error/exception - ORA-00942: table or view does not exist: only found with Oracle, it not reproduce on Postgres. I have verified upgrade JON2.2 to JON2.4 (JON build #166) with Postgres 8.3

2) Upgrade JON 2.3 to JON 2.4 (JON build #166) with Postgres 8.4 didn't found the error/exception - ORA-00942: table or view does not exist.

Note: I will test same bug for upgrade JON2.3 to JON2.4 with Oracle 10g and add my comment to bug.

Comment 3 Charles Crouch 2010-05-26 02:58:30 UTC
(8:46:07 PM) jshaughn\away: ccrouch: I upgraded from 2.3 to 2.4 and did not encounter the issue in 595286. I did encounter a different issue which I fixed locally. I'll look more into it tomorrow.

Rajan, are you seeing this going from 2.3 to 2.4?

Comment 4 Rajan Timaniya 2010-05-26 10:18:54 UTC
Upgrade JON 2.3 to JON 2.4 with Oracle 10g give 'SQLException: ORA-00911: invalid character' error/exception on the screen (during installation). Please refer bug #596096 for same.

Comment 5 Jay Shaughnessy 2010-05-26 17:59:56 UTC
I was unable to reproduce this problem. I didn't have the resources to completely mimic the reproduction steps but I did have inventory, operation schedules and history, ldap authorization configured, ldap and non-ldap users created, groups created, role created with user and group assignment.

I did not have multiple servers nor did I generate alerts.

There has just been a merge of the bundle branch into master and that may have fixed any issue with bundle table upgrades (i.e. DEPLOYMENT).

The errors above, regarding "Subject#1", seems to indicate a failing trying to get a Subject with id=1, which is overlord (superuser), and that is hard to explain and may indicate a fouled test environment.

Please retest with the latest build, which, as mentioned above, is quite different given the latest merges. Also, #596096 has been resolved.

Comment 6 Rajan Timaniya 2010-05-28 12:05:52 UTC
Verified on JON build #172 - Revision: 10621

Upgrade JON 2.2 to JON 2.4 (JON build #172) with Oracle 10g
Upgrade JON 2.3 to JON 2.4 (JON build #172) with Oracle 10g
Upgrade JON 2.3.1 to JON 2.4 (JON build #172) with Oracle 10g

Observed that there is no - ORA-00942: table or view does not exist

Comment 7 Corey Welton 2010-08-12 16:55:14 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.